gnutls_pkcs11_obj_import_url(3)

NAME
gnutls_pkcs11_obj_import_url - API function

SYNOPSIS
#include <gnutls/gnutls.h>

int gnutls_pkcs11_obj_import_url(gnutls_pkcs11_obj_t cert, const char * url, unsigned int flags);

ARGUMENTS

gnutls_pkcs11_obj_t cert
    The structure to store the parsed certificate

const char * url
    a PKCS 11 url identifying the key

unsigned int flags
    One of GNUTLS_PKCS11_OBJ_* flags

DESCRIPTION
This function will "import" a PKCS 11 URL identifying a certificate key to the gnutls_pkcs11_obj_t structure. This does not involve any parsing (such as X.509 or OpenPGP) since the gnutls_pkcs11_obj_t is format agnostic. Only data are transferred.

RETURNS
On success, GNUTLS_E_SUCCESS is returned, otherwise a negative error value.

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>. GnuTLS home page: http://www.gnu.org/software/gnutls/ General help using GNU software: http://www.gnu.org/gethelp/

COPYRIGHT
Copyright © 2008 Free Software Foundation.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual.